Modifica un token
PUT /accounts/{account_id}/core/v1/users/{user_id}/tokens/{token_id}
Sostituisce l'intera risorsa memorizzata con il corpo della richiesta JSON fornito, preservando i valori chiave non modificabili dall'utente.
Parametri
| Nome | Tipo | In | Obbligatorio | Descrizione |
|---|---|---|---|---|
ID account |
stringa |
percorso |
Vero |
ID della risorsa account contenitore
|
ID utente |
stringa |
percorso |
Vero |
ID della risorsa utente contenente |
token_id |
stringa |
percorso |
Vero |
ID della raccolta di token da elencare |
Corpo della richiesta
Sostituisce l'intera risorsa memorizzata con il corpo della richiesta JSON fornito, preservando i valori chiave non modificabili dall'utente.
| Nome | Tipo | Obbligatorio | Descrizione |
|---|---|---|---|
tipo |
stringa |
Vero |
Tipo di media della risorsa. I valori definiti sono:
|
versione |
stringa |
Vero |
Versione della risorsa. I valori definiti sono:
|
id |
stringa |
Falso |
Identificatore univoco globale della risorsa. I valori definiti sono:
|
nome |
stringa |
Falso |
Stringa JSON contenente il nome di un token. I valori definiti sono:
|
ID utente |
stringa |
Falso |
Stringa JSON contenente l'UUID dell'utente a cui è associato il token. I valori definiti sono:
|
metadati |
Falso |
Metadati specificati dal client e dal servizio associati alla risorsa. I valori definiti sono:
|
Esempio di richiesta
{
"type": "application/astra-token",
"version": "1.0",
"name": "New Token Name"
}
Risposta
Status: 204, Indicates if the token resource was updated.
Risposta
Status: 401, Unauthorized
| Nome | Tipo | Obbligatorio | Descrizione |
|---|---|---|---|
tipo |
stringa |
Vero |
|
titolo |
stringa |
Vero |
|
dettaglio |
stringa |
Vero |
|
stato |
stringa |
Vero |
|
ID correlazione |
stringa |
Falso |
Risposta tipo
{
"type": "https://astra.netapp.io/problems/3",
"title": "Missing bearer token",
"detail": "The request is missing the required bearer token.",
"status": "401"
}
Risposta
Status: 400, Bad request
| Nome | Tipo | Obbligatorio | Descrizione |
|---|---|---|---|
tipo |
stringa |
Vero |
|
titolo |
stringa |
Vero |
|
dettaglio |
stringa |
Vero |
|
stato |
stringa |
Vero |
|
ID correlazione |
stringa |
Falso |
|
invalidFields |
vettore["invalidFields"] |
Falso |
Elenco dei campi non validi del corpo della richiesta |
Risposta tipo
{
"type": "https://astra.netapp.io/problems/5",
"title": "Invalid query parameters",
"detail": "The supplied query parameters are invalid.",
"status": "400"
}
Risposta
Status: 409, Conflict
| Nome | Tipo | Obbligatorio | Descrizione |
|---|---|---|---|
tipo |
stringa |
Vero |
|
titolo |
stringa |
Vero |
|
dettaglio |
stringa |
Vero |
|
stato |
stringa |
Vero |
|
ID correlazione |
stringa |
Falso |
|
invalidFields |
vettore["invalidFields"] |
Falso |
Elenco dei campi non validi del corpo della richiesta |
Risposta tipo
{
"type": "https://astra.netapp.io/problems/10",
"title": "JSON resource conflict",
"detail": "The request body JSON contains a field that conflicts with an idempotent value.",
"status": "409"
}
Risposta
Status: 403, Forbidden
| Nome | Tipo | Obbligatorio | Descrizione |
|---|---|---|---|
tipo |
stringa |
Vero |
|
titolo |
stringa |
Vero |
|
dettaglio |
stringa |
Vero |
|
stato |
stringa |
Vero |
|
ID correlazione |
stringa |
Falso |
Risposta tipo
{
"type": "https://astra.netapp.io/problems/11",
"title": "Operation not permitted",
"detail": "The requested operation isn't permitted.",
"status": "403"
}
Errore
Status: 404, Not found
| Nome | Tipo | Obbligatorio | Descrizione |
|---|---|---|---|
tipo |
stringa |
Vero |
|
titolo |
stringa |
Vero |
|
dettaglio |
stringa |
Vero |
|
stato |
stringa |
Vero |
|
ID correlazione |
stringa |
Falso |
Esempio di risposta di errore
{
"type": "https://astra.netapp.io/problems/1",
"title": "Resource not found",
"detail": "The resource specified in the request URI wasn't found.",
"status": "404"
}
Definizioni
Vedi definizioni
etichetta tipo_astra
| Nome | Tipo | Obbligatorio | Descrizione |
|---|---|---|---|
nome |
stringa |
Vero |
|
valore |
stringa |
Vero |
aggiornamento dei metadati di tipo Astra
Metadati specificati dal client e dal servizio associati alla risorsa. I valori definiti sono:
-
Conforme allo schema dei metadati Astra. Se non specificato in fase di creazione, verrà creato un oggetto metadati senza etichette. Se non specificato in fase di aggiornamento, le etichette dell'oggetto metadati, creationTimestamp e createdBy, verranno conservate senza modifiche.
| Nome | Tipo | Obbligatorio | Descrizione |
|---|---|---|---|
etichette |
vettore["etichetta tipo_astra"] |
Falso |
|
CreationTimestamp |
stringa |
Falso |
|
ModificationTimestamp |
stringa |
Falso |
|
CreatedBy |
stringa |
Falso |
|
modifiedBy |
stringa |
Falso |
invalidParams
| Nome | Tipo | Obbligatorio | Descrizione |
|---|---|---|---|
nome |
stringa |
Vero |
Nome del parametro di query non valido |
motivo |
stringa |
Vero |
Motivo per cui il parametro di query non è valido |
invalidFields
| Nome | Tipo | Obbligatorio | Descrizione |
|---|---|---|---|
nome |
stringa |
Vero |
Nome del campo del corpo della richiesta non valido |
motivo |
stringa |
Vero |
Motivo per cui il campo del corpo della richiesta non è valido |